/*
 * VMGDebugGridJob_binding.hpp
 *
 *  Created on: Jan 14, 2013
 *      Author: heber
 */

#ifndef VMGDEBUGGRIDJOB_BINDING_HPP_
#define VMGDEBUGGRIDJOB_BINDING_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// force binding to libMolecuilderJobs
#include "Jobs/VMGDebugGridJob.hpp"

namespace __detail {
  /** This is a dummy function to enforce binding of the executable to the
   * jobs library.
   */
  void instantiateDummyVMGDebugGridJob()
  {
    VMGDebugGridJob job(
        1,
        SamplingGrid());
  }
}

#endif /* VMGDEBUGGRIDJOB_BINDING_HPP_ */
